#
# Conditonal build:
%bcond_without	static_libs	# static library
#
Summary:	A C++ client library for the CMIS interface
Summary(pl.UTF-8):     Biblioteka klienta C++ dla inferfejsu CMIS
Name:		libcmis
Version:	0.2.3
Release:	1
License:	GPL v2+ or LGPL v2+ or MPL v1.1
Group:		Libraries
Source0:	http://downloads.sourceforge.net/libcmis/%{name}-%{version}.tar.gz
# Source0-md5:	0d2dcdfbf28d6208751b33057f5361f0
URL:		http://sourceforge.net/projects/libcmis/
BuildRequires:	boost-devel
BuildRequires:	curl-devel
BuildRequires:	docbook2X
BuildRequires:	libstdc++-devel
BuildRequires:	libxml2-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LibCMIS is a C++ client library for the CMIS interface. This allows
C++ applications to connect to any ECM behaving as a CMIS server like
Alfresco, Nuxeo for the open source ones.

%description -l pl.UTF-8
LibCMIS to biblioteka klienta C++ dla interfejsu CMIS. Pozwala ona 
aplikacjom C++ na łączenie się z każdym ECM zachowującym się jako
serwer CMIS, taki jak Alfresco, Nuxeo (biorąc pod uwagę implementacje
o otwartych źródłach).

%package devel
Summary:	Development files for CMIS library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki CMIS
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	boost-devel
Requires:	libstdc++-devel

%description devel
This package contains the header files for developing applications
that use CMIS library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe do tworzenia aplikacji opartych na
bibliotece CMIS

%package static
Summary:	Static CMIS library
Summary(pl.UTF-8):	Statyczna biblioteka CMIS
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static CMIS library.

%description static -l pl.UTF-8
Statyczna biblioteka CMIS.

%package tools
Summary:	Command line tool to access CMIS
Summary(pl.UTF-8):	Narzędzie wiersza poleceń dla CMIS
Group:		Applications/Publishing
Requires:	%{name} = %{version}-%{release}

%description tools
This package contains a tool for accessing CMIS from the command line.

%description tools -l pl.UTF-8
Ten pakiet zawiera narzędzie do łączenia się do CMIS z wiersza
poleceń.

%prep
%setup -q
sed -i -e 's/docbook-to-man/docbook2X2man/' configure

%build
%configure \
	%{!?with_static_libs:--disable-static} \
	--disable-tests \
	--disable-werror

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_pkgconfigdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -p %{name}-0.2.pc %{buildroot}/%{_libdir}/pkgconfig

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/%{name}-0.2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcmis-0.2.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}-0.2.so
%{_includedir}/%{name}-0.2
%{_pkgconfigdir}/libcmis-0.2.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libcmis-0.2.a
%endif

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/cmis-client
%{_mandir}/man1/cmis-client.1*
%changelog
* Thu Aug 09 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 4ffb7ff
- pc file is back

* Thu Aug 09 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 905f2b6
- up to 0.2.3

* Wed Jul 11 2012 Jan Rękorajski <baggins@pld-linux.org> f21624b
Rebuild with boost 1.50
Release 3

* Sat Mar 17 2012 Jakub Bogusz <qboosh@pld-linux.org> a25e2f4
- pl fixes, added -static

* Sun Mar 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c74f0ee
- release 2

* Tue Feb 21 2012 blekot <blekot@pld-linux.org> e474604
- pl

* Sat Feb 11 2012 Elan Ruusamäe <glen@pld-linux.org> 102a963
- -devel does not require pkgconfig
- ghost soname symlinks
- no packaging of common licenses

* Sat Feb 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0b0b294
- new; half raw

